Edit Custom Field

This request allows you to edit an existing Custom Field.

   Click here to learn more about this request

Custom fields are used by lenders to track information that's important to their business practices but isn't native to LoanPro. Note the following when using this request:

This request allows you to update the settings for a custom field. Once a custom field is created, its type cannot be changed.

The type of a custom field controls what kind of data it accepts and displays. You can see the different kinds of custom field types by looking at the requests in our Creating Custom Fields category.

In our example below, we update an existing text custom field. While the type will need to remain the same, the other settings for the custom field can be updated.

This request does not update the value that a custom field displays for a specific entity. To update an entity's custom field value, you will need to use the endpoint of the entity itself and update the values in the CustomFields object.

For an example of how custom fields work within the UI, take a look at our Custom Fields article.

Database

For information on associated companies and custom field database tables, see the following articles:

{
     "name": "Custom Text Field",
     "entityType": "Entity.LoanSettings",
     "required": 0,
     "active": 1,
     "reportEnabled": 0,
     "creditReportEnabled": 0,
     "archiveEnable": 0,
     "defaultValue": "(Enter text here.)",
     "maxLength": "250",
     "autoCalculate": "customfield.autoCalculate.none",
     "__update": true,
     "__id": 159
}
Path Params
int32
required

This is the ID of the custom field.

Body Params
string
required

This is the name of the custom field.
> This field must be unique.
> Only text and numbers are valid here. Using any symbols will result in a 409 response.

string
enum
required
Defaults to Entity.LoanSettings

This is the type of the entity that the custom field will be used for.

int32
required

This determines whether the custom field is required when creating the entity it's associated with.

int32
required
Defaults to 1

This determines whether the custom field is active.

int32
required
Defaults to 0

This determines whether the custom field will can be displayed as a column in either the loan or customer manager.

int32
required
Defaults to 0

This determines whether this custom field will be added to exported credit reporting data.

int32
required
Defaults to 0

This determines whether the custom field will be included in the loan status archive.

string

This determines what the text in this custom field will default to.
> The text in this field will have a few restrictions depending its type:
    > Number, percentage, and currency fields: only numbers
    > Web URL fields: must begin with https:// or http://

string

This determines the max number of characters that can be used in the custom field.
> This only applies to text and url fields.

string
enum
required
Defaults to customfield.autoCalculate.none

This determines the calculation used for the custom field value.
> This only applies to currency fields.
> For most custom fields, this is set to customField.autoCalculate.none.

Allowed:
string
enum

This determines whether to add or subtract the amount in the custom field.
> The addition or subtraction will be made on what's chosen in the autoCalculate field.
> This is only applicable for currency custom fields.

Allowed:
int32

This determines whether the value in this custom field can be searched for in the customer manager or loan manager.
> This is only applicable for select and text custom fields.

string

This field determines what selection options will be available for this custom field.
> This field is only applicable for select custom fields.
> Selection options are formatted in key pairs: an ID and its text separated by a comma.

boolean
required
Defaults to true

Set this to true to update the custom field.

int32
required

This is the ID of the custom field.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json